---
features:
  secondary:
  - name: "Use merge base pipeline for merge request approval policy comparison"
    available_in: [ultimate]
    gitlab_com: true
    documentation_link: 'https://docs.gitlab.com/ee/user/application_security/policies/scan-result-policies.html#understanding-merge-request-approval-policy-approvals'
    reporter: g.hickman
    stage: govern
    categories:
    - Security Policy Management
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/428518'
    description: |
      This enhancement aligns the logic of the merge request approval policy evaluation with the security MR widget, ensuring that findings that violate a merge request approval policy align with the results displayed in the widget. By aligning the logic, security, compliance, and development teams can more consistently identify which findings violate a policy and require approval. 
      Rather than comparing to the target branch's latest completed `HEAD` pipeline, scan result policies now compare to a common ancestor’s latest completed pipeline, the "merge base".
